Pokemon go not compatible with my version

Closed
Joanne - Aug 6, 2016 at 01:39 AM
 Blocked Profile - Aug 9, 2016 at 04:22 PM
In have samsung galaxy grand prime and when i try to download pokemon go, it says its not compatible with my version?

1 reply

Blocked Profile
Aug 9, 2016 at 04:22 PM
Well, that is tough. Please remember NEVER download any pokemon game that doesn't come from the app store! NEVER INSTALL a 3rd party POKEMON game!

It's kind of fun to do the impossible! -Walter Elias Disney
0